package src.fr.impl;

import java.util.Set;
import src.fr.api.PartType;
import src.fr.api.CompatibilityChecker;
import src.fr.api.CompatibilityManager;


public class CompatibilityCheckerImpl implements CompatibilityChecker {

    private CompatibilityManager compatibilityManager;

    public CompatibilityCheckerImpl( CompatibilityManager compatibilityManager){
        this.compatibilityManager=compatibilityManager;
    }

    @Override
    public Set<PartType> getIncompatibilities(PartType reference) {
        return this.compatibilityManager.getIncompatibilities(reference);
    }

    @Override
    public Set<PartType> getRequirements(PartType reference) {
        return this.compatibilityManager.getRequirements(reference);
    }



}
